#include "includes.h"
#include "StatusBar.h"
#include "stdio.h"

BOOL SB_Create(HWND hwndParent) 
{
	RECT rcl;
	int lpSBParts[2];

	GetClientRect(hwndParent, &rcl);
	HANDLES.hWndStatus = CreateStatusWindow(
			  WS_CHILD | WS_BORDER | WS_VISIBLE|SBARS_SIZEGRIP, //   
              TEXT(""), //     
              hwndParent, //   
		      ID_STATUS); //   
	if (HANDLES.hWndStatus== NULL)
	{
		MessageBox (NULL, TEXT("   !"),
                          TEXT("  "), MB_OK);
	return FALSE;
	}

	lpSBParts[0] = (rcl.right - rcl.left) / 2;
	lpSBParts[1] = -1;
	SendMessage(HANDLES.hWndStatus, SB_SETPARTS,(WPARAM)2, (LPARAM)&lpSBParts);
	return TRUE;
}

BOOL SB_SetText(UINT iPart, LPSTR szText)
{
	return SendMessage(HANDLES.hWndStatus,SB_SETTEXT,(WPARAM) iPart ,
		(LPARAM) szText);
}


void SB_SetProgramText()
{
	SB_SetText(0,"");
	SB_SetText(1,"");
	TCHAR str[100];
	ZeroMemory(&str,sizeof(str));
	if (HANDLES.iSelDisk>=0)
	{
		sprintf(str," %d:%s-%s",WkRec[HANDLES.iSelDisk].iNum,
			WkRec[HANDLES.iSelDisk].cDisc,WkRec[HANDLES.iSelDisk].cGroup);
		SB_SetText(0,str);
		int countdsk=0,count=0;
		for (int i=0;i<=dwWkCount;i++)
		{
			if (WkRec[i].iType==0)
				countdsk++;
			if (WkRec[i].indParent==WkRec[HANDLES.iSelDisk].ind)
			{
				count++;
			}
		}
		if (count>0)
		{
			sprintf(str,"   :%d,    :%d",countdsk,count);
		}
		else strcpy(str,"");
		SB_SetText(1,str);
	}
}
					