#include "includes.h"
#include "workwithcommonctrl.h"

BOOL TT_NotifyHandler( HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	TCHAR szBuf[200];
	LPTOOLTIPTEXT lpToolTipText;
	lpToolTipText = (LPTOOLTIPTEXT)lParam;
    if (lpToolTipText->hdr.code == TTN_NEEDTEXT)
    {
		LoadString(HANDLES.hInst,lpToolTipText->hdr.idFrom, // ID  == ID 
		szBuf, sizeof(szBuf));
		lpToolTipText->lpszText = szBuf;
		return TRUE;
    }
	return FALSE;
}

BOOL GetStateOfCommonControls()
{
	//   
	HANDLES.iSelDisk=-1;
	HANDLES.iSelTrack=-1;
	//       
	HTREEITEM hTempTree=TreeView_GetSelection(HANDLES.hWndTreeView);
	INT iTempListItem=ListView_GetNextItem(HANDLES.hWndListView,
     -1, MAKELPARAM(LVNI_SELECTED, 0));
	int listind=-1;
	LV_ITEM lvItem;
	if (iTempListItem>=0)
	{
		//       
		lvItem.iItem = iTempListItem;
		lvItem.iSubItem = 0;
		lvItem.mask = LVIF_PARAM;
		ListView_GetItem(HANDLES.hWndListView, &lvItem);
		WorkRecord *pRec;
		pRec = (WorkRecord *) lvItem.lParam;
		listind=pRec->ind;
	}
	int index;
	if (hTempTree)
	{
		//        
		for (int i=0;i<dwWkCount;i++)
			if (WkRec[i].hTree==hTempTree)
				index=i;
		switch (WkRec[index].iType)
		{
			case 0:
				HANDLES.iSelDisk=index;
				break;
			case 1:
				HANDLES.iSelDisk=WkRec[index].indParent;
				HANDLES.iSelTrack=index;
				break;
		}
		if (listind>=0)
			HANDLES.iSelTrack=listind;	
	}
	//    
	SB_SetProgramText();
	return TRUE;
}


void GetClientRectangle(HWND hwnd,RECT *rect)
{
	RECT rcl,rtb,rsb;
	GetClientRect(hwnd,&rcl);
	SendMessage(HANDLES.hWndToolbar,TB_GETRECT,(WPARAM)0,(LPARAM) &rtb);
	SendMessage(HANDLES.hWndStatus,	SB_GETRECT ,(WPARAM) 0,(LPARAM) &rsb);
	RECT rsz;
	rsz=rcl;
	rsz.top=rtb.bottom;
	rsz.bottom=rcl.bottom-rsb.bottom;
	rsz.bottom-=3;
	*rect=rsz;

}

BOOL ResizeWindows(HWND hwnd) 
{
	RECT rcl;
	HDWP hdwp;
	//    - 
	GetClientRectangle(hwnd,&rcl);
	// "" 4  
	hdwp = BeginDeferWindowPos(4);
	if (hdwp == NULL) return FALSE;
	//     
	DeferWindowPos(    hdwp, HANDLES.hWndStatus, NULL, 0, 0, 
	                               rcl.right - rcl.left, 20, 
                                 SWP_NOZORDER | SWP_NOMOVE);

	//     

	DeferWindowPos(    hdwp, HANDLES.hWndToolbar, NULL, 0, 0, 
                                 rcl.right - rcl.left, 20, 
                                 SWP_NOZORDER | SWP_NOMOVE);
	//     
	// " "
	DeferWindowPos( hdwp, HANDLES.hWndTreeView, NULL, rcl.left, rcl.top,
                                 (rcl.right - rcl.left) / 4, 
                                 rcl.bottom - rcl.top ,
                                 SWP_NOZORDER | SWP_NOMOVE);
	//      
	DeferWindowPos( hdwp, HANDLES.hWndListView, NULL,
                                 (rcl.right - rcl.left) / 4,rcl.top+3,
								 3*(rcl.right - rcl.left)/4,
                                 rcl.bottom-24 , 
                                 SWP_NOZORDER);

	return (EndDeferWindowPos(hdwp));

}


